<html>
<head>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script type="text/javascript" 	src="./static/dropzone.js"></script>
	<script type="text/javascript" 	src="./static/jquery.js"></script>
	<title>Klaus | Comparator</title>
</head>


<body style="border:10px;">

	<div class="container" style="max-width:1400px;">
		<div class="row"><h1>Klaus | Comparator </h1></div>

		<div class="row">
			<form enctype="multipart/form-data" method="post" name="comparator">
			<div class="row">
			<div class="col-sm">
				<h3>Source File</h3>
				<input type="file" name="srcFile"/>
			</div>

			<div class="col-sm">
				<h3>Destination File</h3>
				<input type="file" name="dstFile"/>
			</div>
			<button id="btn" class="btn btn-primary w-100">Compare</button>
			</div>
			</form>
		</div>
		<div class="row" id="results" style="visibility:hidden;">
			<div class="col" id="preservedDiv"><h4>Preserved</h4></div>
			<div class="col" id="editedDiv">
				<div class="row">
					<div class="col"><h5>Edited Source</h5></div>
					<div class="col"><h5>Edited Destination</h5></div>
				</div>
			</div>

			<div class="col" id="newDiv"><h4>New</h4></div>
			<div class="col" id="deletedDiv"><h4>Deleted</h4></div>
		</div>

	</div>
	<script type="text/javascript">
		var dict;
		function displayResults(response)
		{
			$("#results").css("visibility", "visible");
			
			

			for(i=0;i<response["preserved"].length;i++){$("#preservedDiv").append("<div style='background-color:#E6F2E4; margin:5px;'>"+response["preserved"][i]+"</div>")}

			for(i=0;i<response["editedSrc"].length;i++)
			{
				
				var html = "<div class='row' style='margin-bottom:5px;'name='line'>" +
				    "<div class='col' style='background-color:#ECEACC;'>"+response["editedSrc"][i]+"</div>" + 
				    "<div class='col' style='background-color:#ECEADD;'>"+response["editedDst"][i]+"</div>" +
			  	"</div>";	
			  	$("#editedDiv").append(html);
				
			}


			for(i=0;i<response["new"].length;i++){$("#newDiv").append("<div style='background-color:#DDE1EC; margin:5px;'>"+response["new"][i]+"</div>")}

			for(i=0;i<response["deleted"].length;i++){$("#deletedDiv").append("<div style='background-color:#ECDDE0; margin:5px;'>"+response["deleted"][i]+"</div>")}
			
			
		}






		var form = document.forms.namedItem("comparator");
	form.addEventListener('submit', function(ev) {
	$("#preservedDiv").html("");
	$("#editedDiv").html("");
	$("#newDiv").html("");
	$("#deletedDiv").html("");
      
  	oData = new FormData(form);
	oData.append("CustomField", "Données supplémentaires");
	oReq = new XMLHttpRequest();
	oReq.open("POST", "/compare", true);
	oReq.onload = function(oEvent) {
    if (oReq.status == 200) {
      displayResults(JSON.parse(oReq.response))
    } else {
      alert(oReq.status);
    }
  };

  oReq.send(oData);
  ev.preventDefault();
}, false);
	</script>

	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
</html>
